Bug 90175 - [BlackBerry] Implement GCActivityCallback with platform timer
Summary: [BlackBerry] Implement GCActivityCallback with platform timer
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit BlackBerry (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-28 06:55 PDT by Yong Li
Modified: 2012-07-23 08:49 PDT (History)
2 users (show)

See Also:


Attachments
the patch (4.21 KB, patch)
2012-07-13 10:11 PDT, Yong Li
rwlbuis: review+
Details | Formatted Diff | Diff
90175 (4.07 KB, patch)
2012-07-13 10:28 PDT, Yong Li
no flags Details | Formatted Diff | Diff
again (4.03 KB, patch)
2012-07-13 11:19 PDT, Yong Li
no flags Details | Formatted Diff | Diff
the patch (1.25 KB, patch)
2012-07-23 08:07 PDT, Yong Li
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yong Li 2012-06-28 06:55:41 PDT
Implement GCActivityCallback for PLATFORM(BLACKBERRY)
Comment 1 Yong Li 2012-07-13 10:11:35 PDT
Created attachment 152285 [details]
the patch
Comment 2 Rob Buis 2012-07-13 10:23:16 PDT
Comment on attachment 152285 [details]
the patch

View in context: https://bugs.webkit.org/attachment.cgi?id=152285&action=review

LGTM.

> Source/JavaScriptCore/heap/HeapTimer.h:70
> +    bool m_valid;

May be a bit strange to declare before the getter.
Comment 3 Yong Li 2012-07-13 10:28:41 PDT
Created attachment 152292 [details]
90175
Comment 4 Yong Li 2012-07-13 11:19:23 PDT
Created attachment 152307 [details]
again
Comment 5 WebKit Review Bot 2012-07-13 13:12:49 PDT
Comment on attachment 152307 [details]
again

Clearing flags on attachment: 152307

Committed r122624: <http://trac.webkit.org/changeset/122624>
Comment 6 WebKit Review Bot 2012-07-13 13:12:53 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Yong Li 2012-07-23 07:43:37 PDT
Reopen to use a JSLock when doing GC to avoid assertions
Comment 8 Yong Li 2012-07-23 08:07:43 PDT
Created attachment 153799 [details]
the patch
Comment 9 Rob Buis 2012-07-23 08:10:58 PDT
Comment on attachment 153799 [details]
the patch

Looks good.
Comment 10 WebKit Review Bot 2012-07-23 08:49:50 PDT
Comment on attachment 153799 [details]
the patch

Clearing flags on attachment: 153799

Committed r123342: <http://trac.webkit.org/changeset/123342>
Comment 11 WebKit Review Bot 2012-07-23 08:49:54 PDT
All reviewed patches have been landed.  Closing bug.